package porkbun

type EditRequest struct {
	Request
	Name string `json:"name"`
	Type string `json:"type"`
	IP   string `json:"content"`
	TTL  string `json:"ttl"`
}

func (EditRequest) FromRecord(r Record, keys Request) EditRequest {
	return EditRequest{
		Request: keys,
		Name:    r.Name,
		Type:    r.Type,
		IP:      r.IP,
		TTL:     "300",
	}
}

type retrieveResponse struct {
	Status  string   `json:"status"`
	Records []Record `json:"records"`
}

type Request struct {
	APIKey string `json:"apikey"`
	Secret string `json:"secretapikey"`
}

type Record struct {
	ID   string `json:"id"`
	Name string `json:"name"`
	Type string `json:"type"`
	IP   string `json:"content"`
}
